Index: trunk/src/ProcessManagement/ProcessManagement/Forms/Master/Orderer/FrmOrderers.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/Master/Orderer/FrmOrderers.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/Master/Orderer/FrmOrderers.cs	(revision 484)
@@ -54,13 +54,18 @@
         /// 備考
         /// </summary>
         private const int s_NoteLength = 300;
+        /// <summary>
+        /// 50音読み
+        /// </summary>
+        private const int s_JapaneseSyllabaryLength = 2;
 
         /// <summary>
         /// 表示順番
         /// </summary>
-        private enum DispListColumn
+        private enum DispGridCol
         {
             DISPLAY_ORDER = 0,
+            ORDERERS_DIVISION,
             ORDERERS_CODE,
             ORDERERS_NAME,
         }
@@ -88,6 +93,7 @@
             MailAddress,
             EntryPerson,
             EntryDate,
+            JapaneseSyllabary,
         }
         #endregion
 
@@ -273,13 +279,15 @@
             SetcmbCorporateStatusCombBox();
             // 発注者区分コンボボックスセット
             SetcmbDivisionCombBox();
-            
-            // 初期表示
-            // DispGridData();
+            // 50音順セット
+            SetcmbcmbJapaneseSyllabary();
 
             // クリア
             ClearDisplay();
 
+            // 初期表示
+            DispGridData();
+
             // 参照時はデータ変更させない
             if (m_EditLock)
             {
@@ -335,6 +343,9 @@
                 // 表示行退避
                 int iIndex = dgvMaster.FirstDisplayedScrollingRowIndex;
 
+                // 50音順セット
+                SetcmbcmbJapaneseSyllabary();
+
                 // データ一覧再表示
                 DispGridData();
 
@@ -452,11 +463,15 @@
                     return;
                 }
             }
-            if (dgvMaster.Rows.Count < 1) return;
-            if (dgvMaster.CurrentRow.Index < 0) return;
+
+            DataGridView dgv = dgvMaster;
+            DataGridViewRow CurRow = dgv.CurrentRow;
+
+            if (dgvMaster.RowCount < 1) return;
+            if (CurRow.Index < 0) return;
             // 空白行は処理しない
-            if (CommonMotions.chkObjectIsNull(dgvMaster.CurrentRow.Cells[(int)DispListColumn.ORDERERS_CODE].Value) ||
-                CommonMotions.cnvString(dgvMaster.CurrentRow.Cells[(int)DispListColumn.ORDERERS_CODE].Value).Length == 0)
+            if (CommonMotions.chkObjectIsNull(CurRow.Cells[(int)DispGridCol.ORDERERS_CODE].Value) ||
+                CommonMotions.cnvString(CurRow.Cells[(int)DispGridCol.ORDERERS_CODE].Value).Length == 0)
             {
                 // クリア
                 ClearDisplay();
@@ -463,7 +478,8 @@
                 return;
             }
 
-            m_OrderersCode = CommonMotions.cnvInt(dgvMaster.CurrentRow.Cells[(int)DispListColumn.ORDERERS_CODE].Value);
+            m_DivisionCode = CommonMotions.cnvInt(CurRow.Cells[(int)DispGridCol.ORDERERS_DIVISION].Value);
+            m_OrderersCode = CommonMotions.cnvInt(CurRow.Cells[(int)DispGridCol.ORDERERS_CODE].Value);
 
             // クリア
             ClearDisplay();
@@ -498,19 +514,32 @@
         /// </summary>
         /// <param name="sender"></param>
         /// <param name="e"></param>
-        private void dgvMaster_CellClick(object sender, DataGridViewCellEventArgs e)
+        private void dgvMaster_CellDoubleClick(object sender, DataGridViewCellEventArgs e)
         {
-            
-            DataGridViewEX dgv =(DataGridViewEX)sender;
+            try
+            {
+                DataGridViewEX dgv = (DataGridViewEX)sender;
+                DataGridViewRow CurRow = dgv.CurrentRow;
 
-            if (CommonMotions.chkCellBlank(dgv.CurrentRow.Cells[(int)DispListColumn.ORDERERS_CODE].Value)) return;
+                int nGridList = (int)DispGridCol.ORDERERS_CODE;
+                if (CommonMotions.chkCellBlank(CurRow.Cells[nGridList].Value)) return;
 
-            // 現在表示データが選択データと同じならば処理しない
-            if (m_dispControl[(int)DispCtrl.OrderersCode].Text.Equals(CommonMotions.cnvString(dgv.CurrentRow.Cells[(int)DispListColumn.ORDERERS_CODE].Value)))
-                return;
+                // 現在表示データが選択データと同じならば処理しない
+                int nCtrlPoint = (int)DispCtrl.OrderersCode;
+                if (m_dispControl[nCtrlPoint].Text.Equals(CommonMotions.cnvString(CurRow.Cells[nGridList].Value)))
+                    return;
 
-            // 行選択時処理
-            DataSelectRow();
+                // 選択行の発注者区分をコンボへセットする
+                int nDivision = CommonMotions.cnvInt(CurRow.Cells[(int)DispGridCol.ORDERERS_DIVISION].Value);
+                cmbDivision.SelectedValue = nDivision;
+
+                // 行選択時処理
+                DataSelectRow();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
         }
         #endregion
 
@@ -661,7 +690,7 @@
         private void btnDispUp_Click(object sender, EventArgs e)
         {
             // グリッドアップキー処理
-            dgvMaster.GridRowUpAction((int)DispListColumn.ORDERERS_CODE, (int)DispListColumn.ORDERERS_NAME);
+            dgvMaster.GridRowUpAction((int)DispGridCol.ORDERERS_CODE, (int)DispGridCol.ORDERERS_NAME);
 
             m_bChengeAns = true;
         }
@@ -676,7 +705,7 @@
         private void btnDispDown_Click(object sender, EventArgs e)
         {
             // グリッドダウンキー処理
-            dgvMaster.GridRowDownAction((int)DispListColumn.ORDERERS_CODE, (int)DispListColumn.ORDERERS_NAME);
+            dgvMaster.GridRowDownAction((int)DispGridCol.ORDERERS_CODE, (int)DispGridCol.ORDERERS_NAME);
 
             m_bChengeAns = true;
         }
@@ -701,6 +730,31 @@
         }
         #endregion
 
+        #region 50音順コンボ変更時イベント
+        /// <summary>
+        /// 50音順コンボ変更時イベント
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void cmbJapaneseSyllabary_TextChanged(object sender, EventArgs e)
+        {
+            try
+            {
+                if (m_bInitChangeOff) return;
+
+                // クリア
+                ClearDisplay();
+
+                // データ表示
+                DispGridData();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
         #region 法人格radioButton変化有
         /// <summary>
         /// 法人格radioButton変化有
@@ -745,6 +799,7 @@
             m_dispControl[(int)DispCtrl.MailAddress] =txtInput15;
             m_dispControl[(int)DispCtrl.EntryPerson] = lblEntryPerson;
             m_dispControl[(int)DispCtrl.EntryDate] = lblEntryDate;
+            m_dispControl[(int)DispCtrl.JapaneseSyllabary] = txtInput13;
 
         }
         #endregion
@@ -859,6 +914,10 @@
                 if (m_dispControl[(int)DispCtrl.FaxNumber].Text.Length != 0) iLength++;
                 bRet &= CommonMotions.DispFieldPhoneNumberCheck(m_dispControl[(int)DispCtrl.FaxNumber]);
 
+                // 50音読み
+                if (m_dispControl[(int)DispCtrl.JapaneseSyllabary].Text.Length != 0) iLength++;
+                bRet &= CommonMotions.DispFieldLengthCheck(m_dispControl[(int)DispCtrl.JapaneseSyllabary], s_JapaneseSyllabaryLength);
+
                 // メールアドレス
                 if (m_dispControl[(int)DispCtrl.MailAddress].Text.Length != 0) iLength++;
                 bRet &= CommonMotions.DispFieldLengthCheck(m_dispControl[(int)DispCtrl.MailAddress], 256);
@@ -897,22 +956,27 @@
             IOMOrderers orDB = new IOMOrderers();
             try
             {
-                //// 一括処理なので接続を行う
-                orDB.connect();
-                orDB.beginTran();
+                /// 一括処理なので接続を行う
+                orDB.connect(); orDB.beginTran();
 
+                DataGridView dgv = dgvMaster;
+                DataGridViewRow CurRow = dgv.CurrentRow;
+                int nDivisionCode = cmbDivision.Text.Length > 0
+                                        ? CommonMotions.cnvInt(cmbDivision.SelectedValue)
+                                        : CommonMotions.cnvInt(CurRow.Cells[(int)DispGridCol.ORDERERS_DIVISION].Value);
                 // 表示順を更新する
+                if (cmbDivision.Text.Length < 1) goto ExecEntry;    // 区分選択無しは表示順をクリアしない
                 int rowcout = 1;
                 foreach (DataGridViewRow wrkRow in dgvMaster.Rows)
                 {
                     // 名前無は処理しない
-                    if (CommonMotions.chkObjectIsNull(wrkRow.Cells[(int)DispListColumn.ORDERERS_NAME].Value)) continue;
+                    if (CommonMotions.chkObjectIsNull(wrkRow.Cells[(int)DispGridCol.ORDERERS_NAME].Value)) continue;
 
                     OrderersMaster cwrow = new OrderersMaster();
 
                     // 検索文字列作成
-                    string SQLRow = orDB.CreatePrimarykeyString(CommonMotions.cnvInt(cmbDivision.SelectedValue.ToString()),
-                                                CommonMotions.cnvInt(wrkRow.Cells[(int)DispListColumn.ORDERERS_CODE].Value));
+                    int nOrdewrsCode = CommonMotions.cnvInt(wrkRow.Cells[(int)DispGridCol.ORDERERS_CODE].Value);
+                    string SQLRow = orDB.CreatePrimarykeyString(nDivisionCode, nOrdewrsCode);
 
                     // データ取得
                     if (!orDB.SelectAction(SQLRow, ref cwrow, false)) break;
@@ -923,11 +987,14 @@
                     rowcout++;
                 }
 
+                // 登録開始
+                ExecEntry:
+
                 OrderersMaster work = new OrderersMaster();
                 List<OrderersMaster> workList = new List<OrderersMaster>();
 
                 // 発注者区分
-                work.OrderCotegory = CommonMotions.cnvInt(cmbChangeOrdersDivision.SelectedValue.ToString());
+                work.OrderCotegory = nDivisionCode;
                 // 発注者コード
                 work.OrderersCode = CommonMotions.cnvInt(m_dispControl[(int)DispCtrl.OrderersCode].Text);
                 // 表示順
@@ -985,6 +1052,10 @@
                 if (m_dispControl[(int)DispCtrl.FaxNumber].Text.Length != 0)
                     work.FaxNumber = m_dispControl[(int)DispCtrl.FaxNumber].Text;
 
+                // 50音読み
+                if (m_dispControl[(int)DispCtrl.JapaneseSyllabary].Text.Length != 0)
+                    work.JapaneseSyllabary = m_dispControl[(int)DispCtrl.JapaneseSyllabary].Text;
+
                 // メールアドレス
                 if (m_dispControl[(int)DispCtrl.MailAddress].Text.Length != 0)
                     work.MailAddress = m_dispControl[(int)DispCtrl.MailAddress].Text;
@@ -994,7 +1065,7 @@
                     work.Note = m_dispControl[(int)DispCtrl.Note].Text;
 
                 // 発注者マスタ現在データ存在確認
-                string strWhere = orDB.CreatePrimarykeyString(CommonMotions.cnvInt(cmbDivision.SelectedValue.ToString()), work.OrderersCode);
+                string strWhere = orDB.CreatePrimarykeyString(work.OrderCotegory, work.OrderersCode);
 
                 if (!orDB.SelectAction(strWhere, ref workList, false))
                 {
@@ -1008,18 +1079,24 @@
                 int iChange = CommonMotions.cnvInt(cmbChangeOrdersDivision.SelectedValue);
                 if (iDivision != iChange)
                 {
-                    // 変更前発注者コード取得
+                    // 旧発注者コードセット
                     int[] nNameCode = new int[] { work.OrderersCode, 0 };
 
-                    string strMaxCount = orDB.CreatePrimarykeyString(work.OrderCotegory);
+                    // 検索SQL作成
+                    string strMaxCount = orDB.CreatePrimarykeyString(iChange);
+
                     // 移動先キーセット
                     work.OrderersCode = orDB.SelectMaxOrderersCodeCount(strMaxCount, false) + 1;
+                    
                     // 移動先表示順セット
                     work.DisplayOrder = orDB.GetMaxDisplayOrder(strMaxCount, false) + 1;
 
-                    // 発注者マスタを参照しているデータの更新
+                    // 新旧区分セット
                     int[] nDivision = new int[] { iDivision, iChange };
+                    // 新発注者コードセット
                     nNameCode[(int)DataTimeDef.NewTime] = work.OrderersCode;
+
+                    // 発注者マスタを参照しているデータの更新
                     if (!ChangeReferDivision(nDivision, nNameCode))
                     {
                         orDB.rollback();
@@ -1026,6 +1103,8 @@
                         MessageBox.Show("参照データ更新に失敗しました。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
                         return false;
                     }
+                    // 新区分セット
+                    work.OrderCotegory = iChange;
                 }
 
                 if (workList.Count == 0)
@@ -1096,10 +1175,15 @@
                 List<OrderersMaster> wrk = new List<OrderersMaster>();
                 // 発注者取得SQL
                 StringBuilder strSql = new StringBuilder();
-                strSql.Append(orDB.CreatePrimarykeyString(CommonMotions.cnvInt(cmbDivision.SelectedValue.ToString())));
-                strSql.AppendFormat(" And DeleteFlg = {0} Order By DisplayOrder ASC", (int)CommonDefine.DataDeleteDef.Exists);
+                strSql.AppendFormat(" Where DeleteFlg = {0}", (int)CommonDefine.DataDeleteDef.Exists);
+                strSql.Append(GetSqlFromcmbDivision());
+                strSql.Append(GetSqlFromcmbJapaneseSyllabary());
+                strSql.Append(" Order By JapaneseSyllabary ASC, DisplayOrder ASC");
+
+                DataGridView dgv = dgvMaster;
                 // グリッドの行を0に戻す
-                dgvMaster.Rows.Clear();
+                dgv.Rows.Clear();
+
                 // 作業名称取得
                 if (!orDB.SelectAction(strSql.ToString(), ref wrk)) return false;
 
@@ -1110,12 +1194,15 @@
                     // 発注者名を法人格を含めて連結する
                     string wrkDisp = CommonMotions.OrderersNameUnion(work);
 
-                    dgvMaster.Rows.Add((ino++)
-                                        , work.OrderersCode
-                                        , wrkDisp
-                                        );
+                    int nIndex = dgv.Rows.Add(1);
+                    DataGridViewRow CurRow = dgv.Rows[nIndex];
+                    CurRow.Cells[(int)DispGridCol.DISPLAY_ORDER].Value = (ino++);
+                    CurRow.Cells[(int)DispGridCol.ORDERERS_DIVISION].Value = work.OrderCotegory;
+                    CurRow.Cells[(int)DispGridCol.ORDERERS_CODE].Value = work.OrderersCode;
+                    CurRow.Cells[(int)DispGridCol.ORDERERS_NAME].Value = wrkDisp;
 
                 }
+
                 // 表示行が足りない場合は追加する
                 if (dgvMaster.Rows.Count <= CommonDefine.s_MaxInitLineCountMastamente)
                 {
@@ -1147,6 +1234,60 @@
         }
         #endregion
 
+        #region 発注区分コンボボックスよりSQLを作成する
+        /// <summary>
+        /// 発注区分コンボボックスよりSQLを作成する
+        /// </summary>
+        /// <returns></returns>
+        private string GetSqlFromcmbDivision()
+        {
+            try
+            {
+                if (CommonMotions.cnvString(cmbDivision.Text).Length < 1) return string.Empty;
+
+                int Value = CommonMotions.cnvInt(cmbDivision.SelectedValue);
+                if (Value < 1) return string.Empty;
+
+                StringBuilder strSQL = new StringBuilder();
+                strSQL.AppendFormat(" And OrderCotegory = {0}", Value);
+
+                return strSQL.ToString();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return string.Empty;
+            }
+        }
+        #endregion
+
+        #region 50音順コンボボックスよりSQLを作成する
+        /// <summary>
+        ///  50音順コンボボックスよりSQLを作成する
+        /// </summary>
+        /// <returns></returns>
+        private string GetSqlFromcmbJapaneseSyllabary()
+        {
+            try
+            {
+                if (CommonMotions.cnvString(cmbJapaneseSyllabary.Text).Length < 1) return string.Empty;
+
+                string Value = CommonMotions.cnvString(cmbJapaneseSyllabary.SelectedValue);
+                if (Value.Length == 0) return string.Empty;
+
+                StringBuilder strSQL = new StringBuilder();
+                strSQL.AppendFormat(" And JapaneseSyllabary = '{0}'", Value);
+
+                return strSQL.ToString();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return string.Empty;
+            }
+        }
+        #endregion
+
         #region 更新データ表示処理
         /// <summary>
         /// 更新データ表示処理
@@ -1160,15 +1301,17 @@
             IOMPersonInCharge ManDB = new IOMPersonInCharge();
             try
             {
-                // 発注者マスタ取得クラス領域
-                OrderersMaster odRec = new OrderersMaster();
+                DataGridView dgv = dgvMaster;
+                DataGridViewRow CurRow = dgv.CurrentRow;
 
                 // 発注者マスタ取得SQL
-                int nDivi = CommonMotions.cnvInt(cmbDivision.SelectedValue);
+                int nDivi = CommonMotions.cnvInt(CurRow.Cells[(int)DispGridCol.ORDERERS_DIVISION].Value);
+                int nCode = CommonMotions.cnvInt(CurRow.Cells[(int)DispGridCol.ORDERERS_CODE].Value);
                 StringBuilder strSql = new StringBuilder();
-                strSql.Append(odDB.CreatePrimarykeyString(nDivi, m_OrderersCode));
+                strSql.Append(odDB.CreatePrimarykeyString(nDivi, nCode));
 
                 // 発注者マスタ取得
+                OrderersMaster odRec = new OrderersMaster();
                 if (!odDB.SelectAction(strSql.ToString(), ref odRec)) return false;
 
                 PersonInChargeMaster ManRec = new PersonInChargeMaster();
@@ -1203,6 +1346,7 @@
                 m_dispControl[(int)DispCtrl.Address3].Text = odRec.Address3.ToString();
                 m_dispControl[(int)DispCtrl.PhoneNumber].Text = odRec.PhoneNumber.ToString();
                 m_dispControl[(int)DispCtrl.FaxNumber].Text = odRec.FaxNumber.ToString();
+                m_dispControl[(int)DispCtrl.JapaneseSyllabary].Text = odRec.JapaneseSyllabary;
                 m_dispControl[(int)DispCtrl.MailAddress].Text = odRec.MailAddress.ToString();
                 m_dispControl[(int)DispCtrl.Note].Text = odRec.Note.ToString();
                 m_dispControl[(int)DispCtrl.EntryDate].Text = odRec.EntryDate.ToShortDateString();
@@ -1293,6 +1437,8 @@
                 List<KeyValuePair<int, string>> DataList = new List<KeyValuePair<int, string>>();
                 List<KeyValuePair<int, string>> ChangeList = new List<KeyValuePair<int, string>>();
                 // データ表示
+                DataList.Add(new KeyValuePair<int, string>(0, ""));
+                ChangeList.Add(new KeyValuePair<int, string>(0, ""));
                 for (int i = 0; i < bvList.Count; i++)
                 {
                     KeyValuePair<int, string> keyval = new KeyValuePair<int, string>(bvList[i].NameCode, bvList[i].NameString);
@@ -1316,6 +1462,50 @@
         }
         #endregion
 
+        #region 協力会社50音順コンボボックスセット
+        /// <summary>
+        /// 協力会社50音順コンボボックスセット
+        /// </summary>
+        private void SetcmbcmbJapaneseSyllabary()
+        {
+            IOMOrderers OrderDB = new IOMOrderers();
+            try
+            {
+                cmbJapaneseSyllabary.DataSource = null;
+                cmbJapaneseSyllabary.Items.Clear();
+                cmbJapaneseSyllabary.Text = "";
+
+                StringBuilder strSQL = new StringBuilder();
+                strSQL.Append("Select Distinct JapaneseSyllabary From orderersmaster");
+                strSQL.Append(" WHERE Length(JapaneseSyllabary) > 0");
+                strSQL.AppendFormat(" AND DELETEFLG = {0}", (int)CommonDefine.DataDeleteDef.Exists);
+                strSQL.Append(" Order By JapaneseSyllabary");
+                ArrayList arData = new ArrayList();
+                if (!OrderDB.ExecuteReader(strSQL.ToString(), ref arData)) return;
+                if (arData.Count == 0) return;
+
+                // データセット
+                List<KeyValuePair<string, string>> DataList = new List<KeyValuePair<string, string>>();
+                DataList.Add(new KeyValuePair<string, string>("", ""));
+                foreach (object[] objwrk in arData)
+                {
+                    KeyValuePair<string, string> keyval = new KeyValuePair<string, string>(objwrk[0].ToString(), objwrk[0].ToString());
+                    DataList.Add(keyval);
+                }
+                // コンボボックス初期表示
+                ComboBoxAction.InitDataSetCombBox(cmbJapaneseSyllabary, DataList);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                OrderDB.close(); OrderDB = null;
+            }
+        }
+        #endregion
+
         #region 参照時ロック処理
         /// <summary>
         /// 参照時ロック処理
